Bug 467087

Summary: Pulseaudio crashes when Krusader "question sound" is played
Product: [Fedora] Fedora Reporter: Lukas Tvrdy <lukast.dev>
Component: pulseaudioAssignee: Lennart Poettering <lpoetter>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: lkundrak, lpoetter, pierre-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-24 16:40:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Lukas Tvrdy 2008-10-15 12:54:58 EDT
Description of problem:
Pulseaudio crashes when Krusader dialog sound 

Version-Release number of selected component (if applicable):
KDE4.1.2
Krusader 1.90.0

How reproducible:


Steps to Reproduce:
1. Start amarok, play songs
2. Run krusader, try to delete file, confirm dialog appears and "question sound" is played
3. Amarok has no sound  

Actual results:
pulseaudio crashes with no error messages,
at least pulseaudio -k fails and ps aux | grep pulse confirms that
no error messages in /var/log/messages

Expected results:

No crash of course.

Additional info:
I don't know but maybe other KDE3 apps or even KDE4 apps might cause this crash.
This is pure speculation...I can prove Krusader right now.
Comment 1 Lukas Tvrdy 2008-10-15 13:14:45 EDT
Temporary solution:

run:
"kcmshell kcmnotify"
select
"Player Settings" -> "Use an external player"
I used ogg123, aplay is not able to play ogg files...

Now the pulse did not crash. But i hear just some noise-crippling for a second.

form lshw (grep -i snd)
configuration: driver=HDA Intel latency=0 module=snd_hda_intel
Comment 2 Lennart Poettering 2008-10-19 16:21:41 EDT
Please run PA in a terminal like this as your normal login user:

pulseaudio -vvvvv

(you might need to call pulseaudio -k first to stop it first)

Then, reproduce the crash and paste the output of PA in that terminal.

Thanks.
Comment 3 Lukas Tvrdy 2008-10-20 05:38:53 EDT
I did this:
1.start amarok
2.start youtube video
3.server crashed like before with kde3 sounds.
The old way did not crash (short sounds causes that I hear cripples)

It seems to me that pulseaudio crashes when I want to play two or
more sounds at once.

I: main.c: PolicyKit refuses acquire-high-priority privilige.
I: main.c: PolicyKit refuses acquire-real-time privilige.    
I: main.c: We're in the group 'pulse-rt', allowing real-time and high-priority scheduling.                                                                    
I: core-util.c: Successfully gained nice level -11.                            
I: main.c: Successfully increased RLIMIT_RTPRIO, giving up CAP_NICE.           
I: main.c: This is PulseAudio 0.9.10                                           
I: main.c: Page size is 4096 bytes                                             
I: main.c: Fresh high-resolution timers available! Bon appetit!                
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9/modules/module-hal-detect.so': success                                                        
I: module-hal-detect.c: Trying capability alsa                                 
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/computer_alsa_timer                                                                    
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/computer_alsa_sequencer                                                                
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_playback_1                                             
D: module-hal-detect.c: Loading module-alsa-sink with arguments 'device_id=0 sink_name=alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0'                
D: alsa-util.c: Trying front:0...                                              
I: module-alsa-sink.c: Successfully opened device front:0.                     
I: module-alsa-sink.c: Successfully enabled mmap() mode.                       
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0             
I: alsa-util.c: Unable to attach to mixer front:0: No such file or directory   
I: alsa-util.c: Successfully attached to mixer 'hw:0'                          
I: alsa-util.c: Using mixer control "Master".                                  
I: sink.c: Created sink 0 "alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0" with sample spec "s16le 2ch 48000Hz"                                       
I: source.c: Created source 0 "alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0.monitor" with sample spec "s16le 2ch 48000Hz"                           
I: module-alsa-sink.c: Using 4 fragments of size 4736 bytes.                   
I: alsa-util.c: ALSA device lacks independant volume controls for each channel, falling back to software volume control.                                      
D: module-alsa-sink.c: Thread starting up                                      
I: core-util.c: Successfully enabled SCHED_FIFO scheduling for thread, with priority 5.                                                                       
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+29                        
I: module-alsa-sink.c: Starting playback.                                      
I: module.c: Loaded "module-alsa-sink" (index: #0; argument: "device_id=0 sink_name=alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0").                 
D: module-hal-detect.c: Loading module-alsa-source with arguments 'device_id=0 source_name=alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0'              
D: alsa-util.c: Trying front:0...                                              
I: module-alsa-source.c: Successfully opened device front:0.                   
I: module-alsa-source.c: Successfully enabled mmap() mode.                     
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0             
I: alsa-util.c: Unable to attach to mixer front:0: No such file or directory   
I: alsa-util.c: Successfully attached to mixer 'hw:0'                          
I: alsa-util.c: Using mixer control "Capture".                                 
I: source.c: Created source 1 "alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0" with sample spec "s16le 2ch 48000Hz"                                     
I: module-alsa-source.c: Using 4 fragments of size 4736 bytes.                 
I: alsa-util.c: All 2 channels can be mapped to mixer channels. Using hardware volume control.                                                                
D: module-alsa-source.c: Thread starting up                                    
I: core-util.c: Successfully enabled SCHED_FIFO scheduling for thread, with priority 5.                                                                       
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+28                        
I: module.c: Loaded "module-alsa-source" (index: #1; argument: "device_id=0 source_name=alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0").               
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_hw_specific_2                                          
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_hw_specific_0                                          
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_control__1                                             
I: module-hal-detect.c: Loaded 2 modules.                                      
I: module.c: Loaded "module-hal-detect" (index: #2; argument: "").             
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9/modules/module-esound-protocol-unix.so': success                                              
I: module.c: Loaded "module-esound-protocol-unix" (index: #3; argument: "").   
I: protocol-native.c: loading cookie from disk.                                
I: module.c: Loaded "module-native-protocol-unix" (index: #4; argument: "").   
I: module.c: Loaded "module-volume-restore" (index: #5; argument: "").         
D: module-default-device-restore.c: Restored default sink 'alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0'.                                           
D: core-subscribe.c: dropped redundant event.                                  
D: module-default-device-restore.c: Restored default source 'alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0'.                                           
I: module.c: Loaded "module-default-device-restore" (index: #6; argument: ""). 
I: module.c: Loaded "module-rescue-streams" (index: #7; argument: "").         
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes idle.                                                        
D: module-suspend-on-idle.c: Source alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0.monitor becomes idle.                                              
D: module-suspend-on-idle.c: Source alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0 becomes idle.                                                        
I: module.c: Loaded "module-suspend-on-idle" (index: #8; argument: "").        
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9/modules/module-gconf.so': success                                                             
I: module.c: Loaded "module-gconf" (index: #9; argument: "").                  
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9/modules/module-x11-publish.so': success                                                       
D: module-x11-publish.c: using already loaded auth cookie.                     
I: module.c: Loaded "module-x11-publish" (index: #10; argument: "").           
I: main.c: Daemon startup complete.                                            
D: module-hal-detect.c: dbus: interface=org.freedesktop.DBus, path=/org/freedesktop/DBus, member=NameAcquired                                                 
I: module-suspend-on-idle.c: Source alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0 idle for too long, suspending ...                                    
I: module-alsa-source.c: Device suspended...                                   
I: module-suspend-on-idle.c: Source alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0.monitor idle for too long, suspending ...                          
I: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 idle for too long, suspending ...                                    
I: module-alsa-sink.c: Device suspended...                                     
I: client.c: Created 0 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 0 changed name from "Native client (UNIX socket client)" to "amarokapp"                                                                   
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$amarokapp>                                                                        
I: module-volume-restore.c: Restoring volume for <pulsecore/protocol-native.c$amarokapp>                                                                      
I: module-alsa-sink.c: Trying resume...                                        
I: module-alsa-sink.c: Resumed successfully...                                 
I: module-alsa-sink.c: Starting playback.                                      
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes idle.                                                        
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 0 "Audio Stream" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                          
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified                                                                            
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified                                                                            
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified                                                                            
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified                                                                            
I: client.c: Created 1 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 1 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
I: module-volume-restore.c: Restoring volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                  
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 1 "libao[ogg123] test" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                    
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
I: sink-input.c: Freeing output 1 "libao[ogg123] test"                         
I: client.c: Freed 1 "libao[ogg123]"                                           
I: protocol-native.c: connection died.                                         
I: client.c: Created 2 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 2 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
D: resampler.c: Channel matrix:                                                
D: resampler.c:        I00                                                     
D: resampler.c:     +------                                                    
D: resampler.c: O00 | 1.000                                                    
D: resampler.c: O01 | 1.000                                                    
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 2 "libao[ogg123] playback stream" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 1ch 44100Hz and channel map mono                                                           
D: memblockq.c: memblockq requested: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
D: memblockq.c: memblockq sanitized: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
D: memblock.c: Memory block too large for pool: 18376 > 16376                  
I: sink-input.c: Freeing output 2 "libao[ogg123] playback stream"              
I: client.c: Freed 2 "libao[ogg123]"                                           
I: protocol-native.c: connection died.                                         
I: client.c: Created 3 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 3 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 3 "libao[ogg123] test" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                    
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
I: sink-input.c: Freeing output 3 "libao[ogg123] test"                         
I: client.c: Freed 3 "libao[ogg123]"                                           
I: protocol-native.c: connection died.                                         
I: client.c: Created 4 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 4 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
D: resampler.c: Channel matrix:                                                
D: resampler.c:        I00                                                     
D: resampler.c:     +------                                                    
D: resampler.c: O00 | 1.000                                                    
D: resampler.c: O01 | 1.000                                                    
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 4 "libao[ogg123] playback stream" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 1ch 44100Hz and channel map mono                                                           
D: memblockq.c: memblockq requested: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
D: memblockq.c: memblockq sanitized: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
D: memblock.c: Memory block too large for pool: 18376 > 16376                  
I: sink-input.c: Freeing output 4 "libao[ogg123] playback stream"              
I: client.c: Freed 4 "libao[ogg123]"                                           
I: protocol-native.c: connection died.                                         
I: client.c: Created 5 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 5 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 5 "libao[ogg123] test" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                    
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
I: sink-input.c: Freeing output 5 "libao[ogg123] test"                         
I: client.c: Freed 5 "libao[ogg123]"                                           
I: protocol-native.c: connection died.                                         
I: client.c: Created 6 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 6 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
D: resampler.c: Channel matrix:                                                
D: resampler.c:        I00                                                     
D: resampler.c:     +------                                                    
D: resampler.c: O00 | 1.000                                                    
D: resampler.c: O01 | 1.000                                                    
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 6 "libao[ogg123] playback stream" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 1ch 44100Hz and channel map mono                                                           
D: memblockq.c: memblockq requested: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
D: memblockq.c: memblockq sanitized: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
D: memblock.c: Memory block too large for pool: 18376 > 16376                  
I: sink-input.c: Freeing output 6 "libao[ogg123] playback stream"              
I: protocol-native.c: connection died.                                         
I: client.c: Freed 6 "libao[ogg123]"                                           
I: module-volume-restore.c: Saving rules...                                    
D: module-volume-restore.c: Successfully saved rules...                        
I: client.c: Created 7 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 7 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 7 "libao[ogg123] test" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                    
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
I: sink-input.c: Freeing output 7 "libao[ogg123] test"                         
I: client.c: Freed 7 "libao[ogg123]"                                           
I: protocol-native.c: connection died.                                         
I: client.c: Created 8 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 8 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
I: module-volume-restore.c: Restoring volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                  
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 8 "libao[ogg123] playback stream" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                         
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblock.c: Memory block too large for pool: 18376 > 16376                  
I: sink-input.c: Freeing output 8 "libao[ogg123] playback stream"              
I: client.c: Freed 8 "libao[ogg123]"                                           
I: protocol-native.c: connection died.                                         
I: client.c: Created 9 "Native client (UNIX socket client)"                    
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 9 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                               
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
I: module-volume-restore.c: Restoring volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                  
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 9 "libao[ogg123] test" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                    
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
I: sink-input.c: Freeing output 9 "libao[ogg123] test"                         
I: client.c: Freed 9 "libao[ogg123]"                                           
I: protocol-native.c: connection died.                                         
I: client.c: Created 10 "Native client (UNIX socket client)"                   
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 10 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                              
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
I: module-volume-restore.c: Restoring volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                  
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 10 "libao[ogg123] playback stream" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                        
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
I: sink-input.c: Freeing output 10 "libao[ogg123] playback stream"             
I: client.c: Freed 10 "libao[ogg123]"                                          
I: protocol-native.c: connection died.                                         
I: module-volume-restore.c: Saving rules...                                    
D: module-volume-restore.c: Successfully saved rules...                        
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified                                                                            
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified                                                                            
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified                                                                            
I: client.c: Created 11 "Native client (UNIX socket client)"                   
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 11 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                              
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
I: module-volume-restore.c: Restoring volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                  
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 11 "libao[ogg123] test" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                   
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
I: sink-input.c: Freeing output 11 "libao[ogg123] test"                        
I: client.c: Freed 11 "libao[ogg123]"                                          
I: protocol-native.c: connection died.                                         
I: client.c: Created 12 "Native client (UNIX socket client)"                   
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 12 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                              
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
D: resampler.c: Channel matrix:                                                
D: resampler.c:        I00                                                     
D: resampler.c:     +------                                                    
D: resampler.c: O00 | 1.000                                                    
D: resampler.c: O01 | 1.000                                                    
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 12 "libao[ogg123] playback stream" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 1ch 44100Hz and channel map mono                                                          
D: memblockq.c: memblockq requested: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
D: memblockq.c: memblockq sanitized: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
D: memblock.c: Memory block too large for pool: 18376 > 16376                  
I: sink-input.c: Freeing output 12 "libao[ogg123] playback stream"             
I: client.c: Freed 12 "libao[ogg123]"                                          
I: protocol-native.c: connection died.                                         
I: client.c: Created 13 "Native client (UNIX socket client)"                   
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 13 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                              
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 13 "libao[ogg123] test" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                   
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
I: sink-input.c: Freeing output 13 "libao[ogg123] test"                        
I: client.c: Freed 13 "libao[ogg123]"                                          
I: protocol-native.c: connection died.                                         
I: client.c: Created 14 "Native client (UNIX socket client)"                   
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 14 changed name from "Native client (UNIX socket client)" to "libao[ogg123]"                                                              
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$libao[ogg123]>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
D: resampler.c: Channel matrix:                                                
D: resampler.c:        I00                                                     
D: resampler.c:     +------                                                    
D: resampler.c: O00 | 1.000                                                    
D: resampler.c: O01 | 1.000                                                    
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 14 "libao[ogg123] playback stream" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 1ch 44100Hz and channel map mono                                                          
D: memblockq.c: memblockq requested: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
D: memblockq.c: memblockq sanitized: maxlength=66150, tlength=44100, base=2, prebuf=43218, minreq=882                                                         
I: module-volume-restore.c: Saving volume for <pulsecore/protocol-native.c$libao[ogg123]>                                                                     
D: memblock.c: Memory block too large for pool: 18376 > 16376                  
I: sink-input.c: Freeing output 14 "libao[ogg123] playback stream"             
I: client.c: Freed 14 "libao[ogg123]"                                          
I: protocol-native.c: connection died.                                         
I: module-volume-restore.c: Saving rules...                                    
D: module-volume-restore.c: Successfully saved rules...                        
I: client.c: Created 15 "Native client (UNIX socket client)"                   
I: protocol-native.c: Got credentials: uid=1053 gid=600 success=1              
I: protocol-native.c: Enabled SHM for new connection                           
I: client.c: Client 15 changed name from "Native client (UNIX socket client)" to "Adobe Flash"                                                                
I: module-volume-restore.c: Restoring sink for <pulsecore/protocol-native.c$Adobe Flash>                                                                      
I: module-volume-restore.c: Restoring volume for <pulsecore/protocol-native.c$Adobe Flash>                                                                    
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes busy.                                                        
I: resampler.c: Using resampler 'src-sinc-best-quality'                        
I: resampler.c: Using float32le as working format.                             
I: sink-input.c: Created input 15 "Flash Animation" on alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                      
D: memblockq.c: memblockq requested: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: memblockq.c: memblockq sanitized: maxlength=132300, tlength=88200, base=4, prebuf=86436, minreq=1764                                                       
D: module-hal-detect.c: dbus: interface=org.freedesktop.Hal.Device, path=/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0, member=PropertyModified                                                                            
Soft CPU time limit exhausted, terminating.                                    
I: main.c: Daemon shutdown initiated.                                          
I: module.c: Unloading "module-alsa-sink" (index: #0).                         
I: module-rescue-streams.c: No evacuation sink found.                          
I: sink-input.c: Freeing output 0 "Audio Stream"                               
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes idle.                                                        
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 becomes idle.                                                        
I: sink-input.c: Freeing output 15 "Flash Animation"                           
D: module-rescue-streams.c: No source outputs to move away.                    
D: module-alsa-sink.c: Thread shutting down                                    
I: sink.c: Freeing sink 0 "alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0"                                                                            
I: source.c: Freeing source 0 "alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0.monitor"                                                                
I: module.c: Unloaded "module-alsa-sink" (index: #0).                          
I: module.c: Unloading "module-alsa-source" (index: #1).                       
D: module-rescue-streams.c: No source outputs to move away.                    
D: module-alsa-source.c: Thread shutting down                                  
I: source.c: Freeing source 1 "alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0"                                                                          
I: module.c: Unloaded "module-alsa-source" (index: #1).                        
I: module.c: Unloading "module-hal-detect" (index: #2).                        
D: module-hal-detect.c: dbus: interface=org.freedesktop.DBus.Local, path=/org/freedesktop/DBus/Local, member=Disconnected                                     
I: module.c: Unloaded "module-hal-detect" (index: #2).                         
I: module.c: Unloading "module-esound-protocol-unix" (index: #3).              
I: module.c: Unloaded "module-esound-protocol-unix" (index: #3).
I: module.c: Unloading "module-native-protocol-unix" (index: #4).
I: client.c: Freed 0 "amarokapp"
I: client.c: Freed 15 "Adobe Flash"
I: module.c: Unloaded "module-native-protocol-unix" (index: #4).
I: module.c: Unloading "module-volume-restore" (index: #5).
I: module.c: Unloaded "module-volume-restore" (index: #5).
I: module.c: Unloading "module-default-device-restore" (index: #6).
I: module.c: Unloaded "module-default-device-restore" (index: #6).
I: module.c: Unloading "module-rescue-streams" (index: #7).
I: module.c: Unloaded "module-rescue-streams" (index: #7).
I: module.c: Unloading "module-suspend-on-idle" (index: #8).
I: module.c: Unloaded "module-suspend-on-idle" (index: #8).
I: module.c: Unloading "module-gconf" (index: #9).
I: module.c: Unloaded "module-gconf" (index: #9).
I: module.c: Unloading "module-x11-publish" (index: #10).
I: module.c: Unloaded "module-x11-publish" (index: #10).
I: main.c: Daemon terminated.
Comment 4 Lennart Poettering 2008-10-24 16:40:08 EDT

*** This bug has been marked as a duplicate of bug 462200 ***